<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		felipe.cadena
@version		1.0
@description	Pantalla para administrar las areas adoptadas, la pantalla esta hecha como un 
                dialogo ya que se llega desde el caso de uso CU-SA-AC-015
                
@ManagedBean    AdministrarAreasAdoptadasMB
@cu 			CU-SA-AC-160
-->

<h:form id="areasAdoptadasForm" xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui"
        xmlns:misc="http://java.sun.com/jsf/composite/misc">

    <p:spacer height="10" width="0" />

    <p:fieldset>

        <legend>
            <h:outputLabel value="Administras áreas adoptadas"
                           styleClass="legendTitle" />
        </legend>

        <h:panelGrid columns="4" cellspacing="7">

            <h:outputLabel value="Departamento: " styleClass="outputLabelStyle" />

            <p:commandLink rendered="#{administrarAreasAdoptadas.avaluo.tienePrediosEnDiferentesDeptos}"
                           id="infoDeptosLink"
                           styleClass="commandLinkStyle"
                           value="#{generacionReporteControlCalidadGIT.avaluo.avaluoPredios[0].departamento.nombre}"
                           action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                           update=":consultarDepartamentosMunicipioForm"
                           onstart="statusDialog2.show();"
                           immediate="true"
                           oncomplete="infoDeptosMunisWV.show();statusDialog2.hide();">
                <f:setPropertyActionListener
                    value="#{generacionReporteControlCalidadGIT.avaluo}"
                    target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
            </p:commandLink>

            <h:outputText rendered="#{!administrarAreasAdoptadas.avaluo.tienePrediosEnDiferentesDeptos}"
                          styleClass="outputTextStyle"
                          value="#{administrarAreasAdoptadas.avaluo.avaluoPredios[0].departamento.nombre}"/>


            <h:outputLabel value="Municipio: " styleClass="outputLabelStyle" />

            <p:commandLink rendered="#{administrarAreasAdoptadas.avaluo.tienePrediosEnDiferentesMunicipios}"
                           id="infoMunicipiosLink"
                           styleClass="commandLinkStyle"
                           value="#{administrarAreasAdoptadas.avaluo.avaluoPredios[0].municipio.nombre}"
                           action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                           update=":consultarDepartamentosMunicipioForm"
                           onstart="statusDialog2.show();"
                           immediate="true"
                           oncomplete="infoDeptosMunisWV.show();statusDialog2.hide();">
                <f:setPropertyActionListener
                    value="#{administrarAreasAdoptadas.avaluo}"
                    target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
            </p:commandLink>

            <h:outputText rendered="#{!administrarAreasAdoptadas.avaluo.tienePrediosEnDiferentesMunicipios}"
                          styleClass="outputTextStyle"
                          value="#{administrarAreasAdoptadas.avaluo.avaluoPredios[0].municipio.nombre}"/>


            <h:outputLabel value="Tipo avalúo: " styleClass="outputLabelStyle" />
            <h:outputText id="AvaluoTipoAvaluoV-2" styleClass="outputTextStyle"
                          value="#{administrarAreasAdoptadas.avaluo.tipoAvaluo}">
                <f:converter converterId="converterCB"
                             for="AvaluoTipoAvaluoV-2" />
            </h:outputText>


            <h:outputLabel value="Sec. radicado: " styleClass="outputLabelStyle" />
            <p:commandLink id="solicitudLink-2"
                           immediate="true"
                           styleClass="commandLinkStyle"
                           onstart="statusDialog2.show();"
                           update=":isCC:infoSolicitudTV"
                           oncomplete="infoSolicitudCCWV.show();statusDialog2.hide()"
                           value="#{administrarAreasAdoptadas.avaluo.secRadicado}"
                           action="#{consultaInformacionSolicitud.consultarSecRadicado}">
                <f:setPropertyActionListener value="#{administrarAreasAdoptadas.avaluo.secRadicado}"
                                             target="#{consultaInformacionSolicitud.numeroSecRadicado}"/>

            </p:commandLink>

            <h:outputLabel value="Unidad medida área terreno: " styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputTextStyle" id="UnidadMedidaAreaV-2"
                          value="#{administrarAreasAdoptadas.avaluo.unidadMedidaAreaTerreno}">
                <f:converter converterId="converterCB"
                             for="UnidadMedidaAreaV-2" />
            </h:outputText>
            <h:outputLabel value="Tipo unidad de construcción: " styleClass="outputLabelStyle"
                           rendered="#{administrarAreasAdoptadas.banderaRegistroConstruccion}"/>
            <h:outputText styleClass="outputTextStyle" 
                          rendered="#{administrarAreasAdoptadas.banderaRegistroConstruccion}"
                          value="#{administrarAreasAdoptadas.construccion.tipo}">

            </h:outputText>
            <h:outputLabel value="Descripción unidad de construcción: " styleClass="outputLabelStyle"
                           rendered="#{administrarAreasAdoptadas.banderaRegistroConstruccion}"/>
            <h:outputText styleClass="outputTextStyle" 
                          rendered="#{administrarAreasAdoptadas.banderaRegistroConstruccion}"
                          value="#{administrarAreasAdoptadas.construccion.descripcion}">

            </h:outputText>
            <h:outputLabel value="Nombre modelo: " styleClass="outputLabelStyle"
                           rendered="#{administrarAreasAdoptadas.banderaRegistroConstruccion}"/>
            <h:outputText styleClass="outputTextStyle" 
                          rendered="#{administrarAreasAdoptadas.banderaRegistroConstruccion}"
                          value="FIXME">

            </h:outputText>
        </h:panelGrid>

        <p:separator />

        <p:dataTable value="#{administrarAreasAdoptadas.areasAdoptadasTerreno}"
                     var="item" id="areaADTerrenoDT" 
                     emptyMessage="No se encontró áreas de terreno asociadas">

            <f:facet name="header">
                <h:outputText value="Área adoptada de terreno" />
            </f:facet>

            <p:column headerText="Fuente" style="width: 400px">
                <h:outputText styleClass="outputTextStyle"
                              value="#{item.fuenteDescripcion}" />
            </p:column>

            <p:column headerText="Área">
                <h:outputText styleClass="outputTextStyle"
                              value="#{item.area}" />
            </p:column>

        </p:dataTable>

        <p:separator />

        <p:dataTable  value="#{administrarAreasAdoptadas.areasAdoptadasConstruccion}"
                      var="item" id="areaADConstruccionDT" paginator="true" rows="10"
                      paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                      paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                      selection="#{administrarAreasAdoptadas.areaAdoptadaSeleccionada}" selectionMode="single"
                      emptyMessage="No se encontró áreas de construcción asociadas"
                      rowKey="#{item.id}">

            <p:ajax event="rowSelect" listener="#{administrarAreasAdoptadas.actualizarAreasConstruccion}"   
                    update=":areasAdoptadasForm" />

            <f:facet name="header">
                <h:outputText value="Área adoptada de construcción" />
            </f:facet>

            <p:column headerText="Tipo">
                <h:outputText styleClass="outputTextStyle"
                              value="#{item.avaluoPredioConstruccion.tipo}" />
            </p:column>

            <p:column headerText="Descripción">
                <h:outputText styleClass="outputTextStyle"
                              value="#{item.avaluoPredioConstruccion.descripcion}" />
            </p:column>
            <p:column headerText="Fuente">
                <h:outputText styleClass="outputTextStyle"
                              value="#{item.fuenteDescripcion}" />
            </p:column>

            <p:column headerText="Área">
                <h:outputText styleClass="outputTextStyle"
                              value="#{item.area}" />
            </p:column>

        </p:dataTable>

        <p:tabView id="areasRegistradasTV" dynamic="true">
            <p:ajax event="tabChange" listener="#{administrarAreasAdoptadas.listenerCambioArea}"/>
            <p:tab title="Terreno">

                <p:commandButton value="Registrar nueva área"
                                 rendered="#{administrarAreasAdoptadas.banderaRegistroTerreno}"
                                 icon="ui-icon-plus"
                                 update=":areasAdoptadasEditForm" onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide();areasAdoptadasEditWV.show(); ">
                </p:commandButton>


                <h:panelGrid width="100%">
                    <p:dataTable value="#{administrarAreasAdoptadas.areasRegistradasTerreno}"
                                 var="item" id="areaRegTerrenoDT" paginator="true" rows="10"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                 paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                                 emptyMessage="No se encontró áreas de construcción asociadas">

                        <f:facet name="header">
                            <h:outputText value="Áreas registradas" />
                        </f:facet>

                        <p:column  rendered="#{administrarAreasAdoptadas.banderaRegistroTerreno}">
                            <f:facet name="header">
                                Opciones &nbsp; &nbsp; &nbsp;
                            </f:facet>

                            <p:commandButton id="modificarAreaBtn"
                                             icon="ui-icon-pencil" title="Modificar"
                                             update=":areasAdoptadasEditForm"
                                             action="#{administrarAreasAdoptadas.modificarArea}"
                                             onstart="statusDialog2.show();"
                                             oncomplete="statusDialog2.hide();areasAdoptadasEditWV.show();">
                                <f:setPropertyActionListener
                                    target="#{administrarAreasAdoptadas.areaSeleccionada}"
                                    value="#{item}" />
                            </p:commandButton>

                            <p:commandButton id="retirarAreaBtn"
                                             icon="ui-icon-close" title="Retirar"
                                             update=":areasAdoptadasForm"
                                             onstart="statusDialog2.show();"
                                             oncomplete="statusDialog2.hide();confirmaRetirarAreaWV.show()">
                                <f:setPropertyActionListener
                                    target="#{administrarAreasAdoptadas.areaSeleccionada}"
                                    value="#{item}" />
                            </p:commandButton>
                            <p:commandButton id="adoptarAreaBtn"
                                             icon="ui-icon-check" title="Adoptar"
                                             update=":areasAdoptadasForm"
                                             onstart="statusDialog2.show();"
                                             oncomplete="statusDialog2.hide();confirmaAdoptarAreaWV.show()">
                                <f:setPropertyActionListener
                                    target="#{administrarAreasAdoptadas.areaSeleccionada}"
                                    value="#{item}" />
                            </p:commandButton>



                        </p:column>
                        <p:column headerText="Fuente" style="width: 400px">
                            <h:outputText styleClass="outputTextStyle"
                                          value="#{item.fuenteDescripcion}" />
                        </p:column>

                        <p:column headerText="Área">
                            <h:outputText styleClass="outputTextStyle"
                                          value="#{item.area}" />
                        </p:column>

                    </p:dataTable>
                </h:panelGrid>

            </p:tab>
            <p:tab title="Construcción">

                <p:commandButton value="Registrar nueva área"
                                 rendered="#{administrarAreasAdoptadas.banderaRegistroConstruccion}"
                                 icon="ui-icon-plus"
                                 update=":areasAdoptadasEditForm" onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide();areasAdoptadasEditWV.show(); ">
                </p:commandButton>


                <h:panelGrid width="100%">
                    <p:dataTable value="#{administrarAreasAdoptadas.areasRegistradasConstruccion}"
                                 var="item" id="areaRegConsDT" paginator="true" rows="10"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                 paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                                 emptyMessage="No se encontró áreas de construcción asociadas">

                        <f:facet name="header">
                            <h:outputText value="Áreas registradas" />
                        </f:facet>

                        <p:column rendered="#{administrarAreasAdoptadas.banderaRegistroConstruccion}">
                            <f:facet name="header">
                                Opciones &nbsp; &nbsp; &nbsp;
                            </f:facet>

                            <p:commandButton id="modificarAreaCBtn"
                                             icon="ui-icon-pencil" title="Modificar"
                                             update=":areasAdoptadasEditForm"
                                             action="#{administrarAreasAdoptadas.modificarArea}"
                                             onstart="statusDialog2.show();"
                                             oncomplete="statusDialog2.hide();areasAdoptadasEditWV.show();">
                                <f:setPropertyActionListener
                                    target="#{administrarAreasAdoptadas.areaSeleccionada}"
                                    value="#{item}" />
                            </p:commandButton>

                            <p:commandButton id="retirarAreaCBtn"
                                             icon="ui-icon-close" title="Retirar"
                                             update=":areasAdoptadasForm"
                                             onstart="statusDialog2.show();"
                                             oncomplete="statusDialog2.hide();confirmaRetirarAreaWV.show()">
                                <f:setPropertyActionListener
                                    target="#{administrarAreasAdoptadas.areaSeleccionada}"
                                    value="#{item}" />
                            </p:commandButton>
                            <p:commandButton id="adoptarAreaCBtn"
                                             icon="ui-icon-check" title="Adoptar"
                                             update=":areasAdoptadasForm"
                                             onstart="statusDialog2.show();"
                                             rendered="#{item.adoptada=='NO'}"
                                             oncomplete="statusDialog2.hide();confirmaAdoptarAreaWV.show()">
                                <f:setPropertyActionListener
                                    target="#{administrarAreasAdoptadas.areaSeleccionada}"
                                    value="#{item}" />
                            </p:commandButton>



                        </p:column>
                        <p:column headerText="Fuente" style="width: 400px">
                            <h:outputText styleClass="outputTextStyle"
                                          value="#{item.fuenteDescripcion}" />
                        </p:column>

                        <p:column headerText="Área">
                            <h:outputText styleClass="outputTextStyle"
                                          value="#{item.area}" />
                        </p:column>

                    </p:dataTable>
                </h:panelGrid>

            </p:tab>
        </p:tabView>

    </p:fieldset>

</h:form>
